# Docker compose for 3 node Scylla DB in local docker
version: "3.9"
networks:
  unixhostnet:
    external: false
    name: unixhostnet
services:
  unixhost:
    build:
      context: .
      dockerfile: Dockerfile
    #privileged: true
    container_name: unixhost
#    environment:
#      - CLUSTER_NAME=scylla-docker
#    entrypoint: "/custom-docker-entrypoint.sh --overprovisioned 1 --smp 1 --memory 750M"
#    volumes:
#      - ./etc/sysctl.conf:/etc/sysctl.conf
#      - scylla_data_1:/var/lib/scylla
    ports:
      - "9022:22"
    restart: always
    networks:
      - unixhostnet
volumes:
  host_data: